Skip to content

List and search evaluation reports

Request to list evaluation reports, newest first:

GET /api/v2/evaluation_reports.json

The list returns a compact form of each report. To retrieve all attributes, see View an evaluation report.

Example of response:

{
    "reports": [
        {
            "report_id": "f28197dc-80a4-47f2-9778-020bc2e87132",
            "form_id": "cd61b307-5e74-4c4b-b50a-f47100d51959",
            "title": "Inbound Score Card",
            "status": "completed",
            "agent_user_id": "f56a384a-9e26-4ed6-96fe-e4976e1a0448",
            "report_points": 50,
            "report_max_points": 95
        },
        {
            "report_id": "def48768-db17-411b-928f-a673b1b01509",
            "form_id": "cd61b307-5e74-4c4b-b50a-f47100d51959",
            "title": "Inbound Score Card",
            "status": "completed",
            "agent_user_id": "f56a384a-9e26-4ed6-96fe-e4976e1a0448",
            "report_points": 75,
            "report_max_points": 95
        }
    ],
    "total": 2,
    "next_url": null
}

See Collections for paging.

Search evaluation reports

Parameter Description
daterange

Filter by the date of the evaluated call (not the date of the evaluation). Format YYYY/MM/DD-YYYY/MM/DD or YYYY/MM/DD, in the time zone of the API user.

GET /api/v2/evaluation_reports.json?daterange=2024/11/01-2024/12/01
search_term

Search by report title. Partial match, case insensitive.

GET /api/v2/evaluation_reports.json?search_term=Inbound
evaluation_form_id

Filter by evaluation form ID.

GET /api/v2/evaluation_reports.json?evaluation_form_id=cd61b307-5e74-4c4b-b50a-f47100d51959
user_id

Filter by the evaluated agent's user ID.

GET /api/v2/evaluation_reports.json?user_id=f56a384a-9e26-4ed6-96fe-e4976e1a0448
group_id

Filter by the group of the evaluated agent.

GET /api/v2/evaluation_reports.json?group_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff
tenant_id

Filter by the tenant of the evaluated agent.

GET /api/v2/evaluation_reports.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff
evaluator_user_id

Filter by the evaluator's user ID.

GET /api/v2/evaluation_reports.json?evaluator_user_id=3fce14ba-0848-440c-95a1-98d376067b77

user_id, group_id, and tenant_id are mutually exclusive; the most specific one applies.

Example with several parameters:

GET /api/v2/evaluation_reports.json?daterange=2024/11/01-2024/11/30&evaluation_form_id=cd61b307-5e74-4c4b-b50a-f47100d51959

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of evaluation reports is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view evaluation reports
400 Bad Request daterange has an invalid format
404 Not Found An ID parameter is not a valid UUID